keystone-all fails to start: : The Keystone paste configuration file keystone-paste.ini could not be found.

Bug #1190038 reported by Adam Gandelman on 2013-06-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
keystone (Ubuntu)
High
Adam Gandelman
Saucy
High
Adam Gandelman

Bug Description

Version: keystone 1:2013.2~b1-0ubuntu1

Package installs okay, but the service fails to start, throwing the following exception:

Traceback (most recent call last):
  File "/usr/bin/keystone-all", line 90, in <module>
    paste_config = config.find_paste_config()
  File "/usr/lib/python2.7/dist-packages/keystone/config.py", line 63, in find_paste_config
    raise exception.PasteConfigNotFound(config_file=paste_config_value)
keystone.exception.PasteConfigNotFound: The Keystone paste configuration file keystone-paste.ini could not be found.

Looks like keystone ships a default keystone-paste.ini config that the package does not account for yet.

James Page (james-page) on 2013-07-11
Changed in keystone (Ubuntu):
status: New → Fix Committed
Changed in keystone (Ubuntu Saucy):
importance: Undecided → High
assignee: nobody → Adam Gandelman (gandelman-a)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 1:2013.2~b2-0ubuntu1

---------------
keystone (1:2013.2~b2-0ubuntu1) saucy; urgency=low

  [ Adam Gandelman ]
  * debian/patches/*: Refresh
  * debian/keystone.install: Install keystone-paste.ini to /etc/keystone.
    (LP: #1190038)

  [ Yolanda Robla ]
  * debian/tests: added autopkgtests.

  [ Chuck Short ]
  * New upstream release.

  [ James Page ]
  * d/control: Update VCS fields for new branch locations.
 -- Chuck Short <email address hidden> Fri, 19 Jul 2013 09:25:36 -0400

Changed in keystone (Ubuntu Saucy):
status: Fix Committed → Fix Released
Baohua Yang (yangbaohua) wrote :

When using the lastest RDO/Packstack on the CentOS.
The same errors happen.

ERROR : Error appeared during Puppet run: 9.186.105.154_keystone.pp
Error: Could not start Service[keystone]: Execution of '/sbin/service openstack-keystone start' returned 1: Starting keystone: [FAILED]
You will find full trace in log /var/tmp/packstack/20140801-231530-GxuYgP/manifests/9.186.105.154_keystone.pp.log
Please check log file /var/tmp/packstack/20140801-231530-GxuYgP/openstack-setup.log for more information

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers